1. skuli

    OP skuli Newbie
    Newcomer

    Joined:
    May 1, 2020
    Messages:
    5
    Country:
    United States
    I've had a DSTWO for some time and it works fine on my DS lite.

    It doesn't work on DSi, DSi XL, 3DS, 2DS XL

    I'm assuming firmware needs to be updated, but nothing I've done has helped at all. I've put dstwoupdate.dat for 1.25 on root of sd card, and never got a version upgrade prompt.

    I've also renamed the file to ds2update.dat and tried.

    The only information I can gather is that it's file selector version 1.11?

    I've tried updating EOS as well.
     
  2. zfreeman

    zfreeman GBAtemp Maniac
    Member

    Joined:
    Mar 9, 2013
    Messages:
    1,188
    Country:
    United States
    Maybe they're incremental updates. Try updating to an older dstwoupdate.dat before trying 1.25.
     
    alexander1970 likes this.
  3. skuli

    OP skuli Newbie
    Newcomer

    Joined:
    May 1, 2020
    Messages:
    5
    Country:
    United States
    OK that's a decent suggestion. Any idea how I can tell what firmware version I'm currently on?
     
  4. zfreeman

    zfreeman GBAtemp Maniac
    Member

    Joined:
    Mar 9, 2013
    Messages:
    1,188
    Country:
    United States
    I don't think you can. Settings only shows the OS, if I recall.
     
    alexander1970 likes this.
  5. skuli

    OP skuli Newbie
    Newcomer

    Joined:
    May 1, 2020
    Messages:
    5
    Country:
    United States
    All I can find right now is 1.25 firmware; any idea where I might find the older firmwares? Apologies if it's somewhere obvious...

    *edit*
    I found DSTWO firmware repository; is DSTWO firmware and DSTWO PLUS firmware the same files?

    — Posts automatically merged - Please don't double post! —

    Oh never mind, I think my DSi and 3DS devices are simply patched too far, the dstwo plus isn't compatible it seems.
     
    Last edited by skuli, May 1, 2020
  6. alexander1970

    alexander1970 History repeats itself...
    Member

    Joined:
    Nov 8, 2018
    Messages:
    11,013
    Country:
    Austria
    Hello.:)

    Here you can found the 1.14 Firmware.

    Thank you.:)
     
  7. zfreeman

    zfreeman GBAtemp Maniac
    Member

    Joined:
    Mar 9, 2013
    Messages:
    1,188
    Country:
    United States
    DSTWO and DSTWO+ are the same device, just different label. Firmware will work on both.

    Once updated,the DSTWO will work on DSi and 3DS devices above 1.4.5 and 6.0, respectively.
     
    alexander1970 likes this.
  8. skuli

    OP skuli Newbie
    Newcomer

    Joined:
    May 1, 2020
    Messages:
    5
    Country:
    United States
    Well I'm not sure what I'm doing wrong.

    The card works perfectly well in a NDS lite. I have copied and tried to update with firmware 1.08, 1.09, 1.15, 1.16, 1.19, 1.25 by copying the .dat file as both dstwoupdate.dat and ds2update.dat, and I've also tried the "failure" mode on a DSi and 3ds by copying the file as dstwoupdateb.dat.

    Interestingly, in the case of the failure mode flashing, it deletes the dstwoupdateb.dat file from the sd card after several minutes, which makes me think it did SOMETHING...

    In any event, card still won't work in DS XL 1.4.5u or 3DS 11.13.0-45U. Not sure what firmware DSi is on, battery died and I can't find a charger right now.

    It's recognized as the Alex Rider Stormbreaker card in both.

    I'm using 1.14 EOS it seems; could something be wrong there?
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - firmware, upgrade, DSTWO